package com.prolog.eis.service.shelves;


import com.prolog.eis.model.shelves.GridInfo;
import com.prolog.framework.core.restriction.Criteria;

import java.util.List;
import java.util.Map;

/**
 * @author zmr
 * @description: 格口信息表-服务接口类
 * @date 2023-08-28 11:41
 */
public interface GridInfoService {

    /**
     * 新增数据
     *
     * @param gridInfo 格口信息表
     */
    long save(GridInfo gridInfo);

    /**
     * 新增批量数据
     *
     * @param gridInfoList 格口信息表
     */
    long saveBatch(List<GridInfo> gridInfoList);

    /**
     * 查询多条数据
     *
     * @param paramMap 查询起始位置
     * @return 对象列表
     */
    List<GridInfo> findByMap(Map<String, Object> paramMap);

    /**
     * 查询单条数据
     *
     * @param paramMap 查询起始位置
     * @return 对象
     */
    GridInfo findOneByMap(Map<String, Object> paramMap);

    /**
     * 查询多条数据
     *
     * @param criteria 查询起始位置
     * @return 对象列表
     */
    List<GridInfo> findByCriteria(Criteria criteria);

    /**
     * 通过ID查询单条数据
     *
     * @param id 主键
     * @return 实例对象
     */
    GridInfo findById(int id);

    /**
     * 修改数据
     *
     * @param gridInfo 实例对象
     */
    long update(GridInfo gridInfo);


    /**
     * 修改数据
     *
     */
    long updateMapByCriteria(Map<String,Object> params,Criteria criteria);

    /**
     * 通过主键删除数据
     *
     * @param id 主键
     */
    long deleteById(int id);

    /**
     * 通过参数删除数据
     *
     * @param paramMap 参数
     */
    long deleteByMap(Map<String, Object> paramMap);

    /**
     * 通过参数查询总条数
     *
     * @param paramMap 参数
     */
    long findCountByMap(Map<String, Object> paramMap);

}
